<script>
    var requireJS = [];
    loadJS(requireJS, '/js/common.js');
    loadJS(requireJS, '/js/views/destinations.js');
</script>

<div class="container-fluid">

    <div class="row">
        <div class="col-lg-12">
            <h4 class="page-header" th:text="#{view.price.destination.list.title}">Price List Destination</h4>
            <small class="text-muted red" th:text="${importStatus}"></small>
            <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
                <div class="col-lg-10">
                    <!-- Topbar Search -->
                    <form class="form-inline">   
                        <input type="text" class="form-control form-control-sm" name="q" id="q" placeholder="Buscar.." th:value="${q}"/>
                        &nbsp;
                        <label>Lista:</label>
                        &nbsp;
                        <select class="form-control form-control-sm" name="priceListId" id="priceListId">
                            <option value="all">Todas</option>
                            <option th:each="list : ${priceLists}" th:value="${list.id}" th:text="${list.name}" th:selected="${priceList == list.id}"></option>
                        </select>
                        &nbsp;                        
                        <button class="btn btn-sm btn-primary" type="submit" id="search-button">
                            <i class="fas fa-search fa-sm"></i>
                        </button>
                    </form>
                </div>
                <div class="col-lg-1">
                    <div class="dropdown">
                        <button class="btn btn-sm dropdown-toggle" type="button" data-toggle="dropdown" th:text="#{main.actions}">Actions</button>
                        <div class="dropdown-menu">
                            <a class="dropdown-item action-button" id="destination-add" href="#">
                                Crear Destino
                            </a>
                            <a class="dropdown-item action-button" id="destination-import" href="#">
                                Importar CSV
                            </a>
                        </div>  
                    </div>
                </div>
            </nav>
        </div>
    </div>

    <div class="container-fluid">
        <div class="row">

            <div class="col-lg-12">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="table-responsive">
                            <table class="table table-striped">
                                <thead class="thead-light">
                                    <tr>
                                        <th th:text="#{view.price.destination.list.id}">id</th>
                                        <th th:text="#{view.price.destination.list.priceListId}">_price_list_id</th>
                                        <th th:text="#{view.price.destination.list.name}">name</th>
                                        <th th:text="#{view.price.destination.list.countryCode}">country_code</th>
                                        <th th:text="#{view.price.destination.list.areCode}">area_code</th>
                                        <th th:text="#{view.price.destination.list.price}">price</th>
                                        <th><i class="fas fa-cogs fa-sm fa-fw"></i></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr th:each="item : ${page.content}">
                                        <td th:text="${item.id}"></td>
                                        <td th:text="${item.priceList.name}"></td>
                                        <td th:text="${item.name}"></td>
                                        <td th:text="${item.countryCode}"></td>
                                        <td th:text="${item.areaCode}"></td>
                                        <td th:text="${item.price}"></td>
                                        <td>
                                            <div class="dropdown no-arrow">
                                                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
                                                   data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                    <i class="fas fa-cogs fa-sm fa-fw"></i>
                                                </a>
                                                <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in"
                                                     aria-labelledby="dropdownMenuLink" x-placement="bottom-end">
                                                    <div class="dropdown-header"></div>
                                                    <a class="dropdown-item action-button" href="#"
                                                       id="edit-destination"
                                                       th:attr="data-id=${item.id},data-name=${item.name}"
                                                       th:text="#{list.price.edit}">Edit</a>
                                                    <a class="dropdown-item action-button" type="submit" href="#"
                                                       id="delete-destination"
                                                       th:attr="data-id=${item.id},data-name=${item.name}"
                                                       th:text="#{list.price.remove}">Remove</a>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                            <div th:replace="html/frags/pagination :: paginationbar"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

